

/*
    RIBBON 
*/ 


 
.ribbon-box {
    position: relative
}

.ribbon-box .ribbon {
    padding: 5px 12px;
    box-shadow: 2px 5px 10px rgba(39, 42, 58, .15);
    color: #fff;
    font-size: .875rem;
    font-weight: 600;
    position: absolute;
    left: -1px;
    top: 5px
}

.ribbon-box .ribbon.round-shape {
    border-radius: 0 30px 30px 0
}

.ribbon-box .ribbon.ribbon-shape {
    display: inline-block
}

.ribbon-box .ribbon.ribbon-shape::before {
    content: "";
    position: absolute;
    right: -17px;
    top: 0;
    border: 14px solid rgba(0, 0, 0, 0)
}

.ribbon-box .ribbon.ribbon-shape::after {
    content: "";
    position: absolute;
    right: -17px;
    bottom: 0;
    border: 14px solid rgba(0, 0, 0, 0)
}

.ribbon-box.ribbon-circle .ribbon {
    width: 48px;
    height: 48px;
    border-radius: 50%;
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    left: 20px;
    top: 20px
}

.ribbon-box.ribbon-fill {
    overflow: hidden
}

.ribbon-box.ribbon-fill .ribbon {
    transform: rotate(-45deg);
    width: 93px;
    height: 52px;
    left: -36px;
    top: -16px;
    display: flex;
    justify-content: center;
    align-items: flex-end
}

.ribbon-box.ribbon-fill.ribbon-sm .ribbon {
    padding: 2px 12px;
    width: 78px;
    height: 42px;
    font-size: 12px;
    box-shadow: none
}

.ribbon-box.right .ribbon {
    position: absolute;
    left: auto;
    right: 0
}

.ribbon-box.right .ribbon.round-shape {
    border-radius: 30px 0 0 30px
}

.ribbon-box.right .ribbon.ribbon-shape {
    text-align: right
}

.ribbon-box.right .ribbon.ribbon-shape::before,
.ribbon-box.right .ribbon.ribbon-shape::after {
    right: auto;
    left: -17px;
    border-left-color: rgba(0, 0, 0, 0)
}

.ribbon-box.right.ribbon-circle .ribbon {
    left: auto;
    right: 20px
}

.ribbon-box.right .icon-ribbon {
    right: 24px;
    left: auto
}

.ribbon-box.right.ribbon-fill .ribbon {
    transform: rotate(45deg);
    right: -38px;
    left: auto
}

.ribbon-box.right.ribbon-box .ribbon-two {
    left: auto;
    right: -5px
}

.ribbon-box.right.ribbon-box .ribbon-two span {
    left: auto;
    right: -21px;
    transform: rotate(45deg)
}

.ribbon-box .ribbon-content {
    clear: both
}

.ribbon-box .ribbon-primary {
    background: #687cfe
}

.ribbon-box .ribbon-primary:before {
    border-color: #3550fe rgba(0, 0, 0, 0) rgba(0, 0, 0, 0)
}

.ribbon-box .ribbon-primary.ribbon-shape::before {
    border-left-color: #687cfe;
    border-top-color: #687cfe
}

.ribbon-box .ribbon-primary.ribbon-shape::after {
    border-left-color: #687cfe;
    border-bottom-color: #687cfe
}

.ribbon-box.right .ribbon-primary {
    background: #687cfe
}

.ribbon-box.right .ribbon-primary.ribbon-shape::before {
    border-right-color: #687cfe;
    border-top-color: #687cfe
}

.ribbon-box.right .ribbon-primary.ribbon-shape::after {
    border-right-color: #687cfe;
    border-bottom-color: #687cfe
}

.ribbon-box .ribbon-secondary {
    background: #ff7f5d
}

.ribbon-box .ribbon-secondary:before {
    border-color: #ff572a rgba(0, 0, 0, 0) rgba(0, 0, 0, 0)
}

.ribbon-box .ribbon-secondary.ribbon-shape::before {
    border-left-color: #ff7f5d;
    border-top-color: #ff7f5d
}

.ribbon-box .ribbon-secondary.ribbon-shape::after {
    border-left-color: #ff7f5d;
    border-bottom-color: #ff7f5d
}

.ribbon-box.right .ribbon-secondary {
    background: #ff7f5d
}

.ribbon-box.right .ribbon-secondary.ribbon-shape::before {
    border-right-color: #ff7f5d;
    border-top-color: #ff7f5d
}

.ribbon-box.right .ribbon-secondary.ribbon-shape::after {
    border-right-color: #ff7f5d;
    border-bottom-color: #ff7f5d
}

.ribbon-box .ribbon-success {
    background: #198754
}

  
.ribbon-box .ribbon-success.toil {
    background: var(--link-color);
}

.ribbon-box .ribbon-success:before {
    border-color: #2ab06e rgba(0, 0, 0, 0) rgba(0, 0, 0, 0)
}

.ribbon-box .ribbon-success.ribbon-shape::before {
    border-left-color: #198754;
    border-top-color: #198754
}

.ribbon-box .ribbon-success.ribbon-shape::after {
    border-left-color: #198754;
    border-bottom-color: #198754
}

.ribbon-box.right .ribbon-success {
    background: #198754
}

.ribbon-box.right .ribbon-success.ribbon-shape::before {
    border-right-color: #198754;
    border-top-color: #198754
}

.ribbon-box.right .ribbon-success.ribbon-shape::after {
    border-right-color: #198754;
    border-bottom-color: #198754
}

.ribbon-box .ribbon-info {
    background: #0ac7fb
}

.ribbon-box .ribbon-info:before {
    border-color: #03a3cf rgba(0, 0, 0, 0) rgba(0, 0, 0, 0)
}

.ribbon-box .ribbon-info.ribbon-shape::before {
    border-left-color: #0ac7fb;
    border-top-color: #0ac7fb
}

.ribbon-box .ribbon-info.ribbon-shape::after {
    border-left-color: #0ac7fb;
    border-bottom-color: #0ac7fb
}

.ribbon-box.right .ribbon-info {
    background: #0ac7fb; 
}

.ribbon-box.right .ribbon-info.ribbon-shape::before {
    border-right-color: #0ac7fb;
    border-top-color: #0ac7fb
}

.ribbon-box.right .ribbon-info.ribbon-shape::after {
    border-right-color: #0ac7fb;
    border-bottom-color: #0ac7fb
}

.ribbon-box.right .ribbon-success.toil {
    background: var(--link-color);
}


.ribbon-box .ribbon-warning {
    background: #efae4e
}

.ribbon-box .ribbon-warning:before {
    border-color: #eb991f rgba(0, 0, 0, 0) rgba(0, 0, 0, 0)
}

.ribbon-box .ribbon-warning.ribbon-shape::before {
    border-left-color: #efae4e;
    border-top-color: #efae4e
}

.ribbon-box .ribbon-warning.ribbon-shape::after {
    border-left-color: #efae4e;
    border-bottom-color: #efae4e
}

.ribbon-box.right .ribbon-warning {
    background: #efae4e
}

.ribbon-box.right .ribbon-warning.ribbon-shape::before {
    border-right-color: #efae4e;
    border-top-color: #efae4e
}

.ribbon-box.right .ribbon-warning.ribbon-shape::after {
    border-right-color: #efae4e;
    border-bottom-color: #efae4e
}

.ribbon-box .ribbon-danger {
    background: #B22234
}

.ribbon-box .ribbon-danger:before {
    border-color: #f43640 rgba(0, 0, 0, 0) rgba(0, 0, 0, 0)
}

.ribbon-box .ribbon-danger.ribbon-shape::before {
    border-left-color: #B22234;
    border-top-color: #B22234
}

.ribbon-box .ribbon-danger.ribbon-shape::after {
    border-left-color: #B22234;
    border-bottom-color: #B22234
}

.ribbon-box.right .ribbon-danger {
    background: #B22234
}

.ribbon-box.right .ribbon-danger.ribbon-shape::before {
    border-right-color: #B22234;
    border-top-color: #B22234
}

.ribbon-box.right .ribbon-danger.ribbon-shape::after {
    border-right-color: #B22234;
    border-bottom-color: #B22234
}

.ribbon-box .ribbon-light {
    background: #f3f6f9
}

.ribbon-box .ribbon-light:before {
    border-color: #d1dde8 rgba(0, 0, 0, 0) rgba(0, 0, 0, 0)
}

.ribbon-box .ribbon-light.ribbon-shape::before {
    border-left-color: #f3f6f9;
    border-top-color: #f3f6f9
}

.ribbon-box .ribbon-light.ribbon-shape::after {
    border-left-color: #f3f6f9;
    border-bottom-color: #f3f6f9
}

.ribbon-box.right .ribbon-light {
    background: #f3f6f9
}

.ribbon-box.right .ribbon-light.ribbon-shape::before {
    border-right-color: #f3f6f9;
    border-top-color: #f3f6f9
}

.ribbon-box.right .ribbon-light.ribbon-shape::after {
    border-right-color: #f3f6f9;
    border-bottom-color: #f3f6f9
}

.ribbon-box .ribbon-dark {
    background: #272a3a
}

.ribbon-box .ribbon-dark:before {
    border-color: #12141c rgba(0, 0, 0, 0) rgba(0, 0, 0, 0)
}

.ribbon-box .ribbon-dark.ribbon-shape::before {
    border-left-color: #272a3a;
    border-top-color: #272a3a
}

.ribbon-box .ribbon-dark.ribbon-shape::after {
    border-left-color: #272a3a;
    border-bottom-color: #272a3a
}

.ribbon-box.right .ribbon-dark {
    background: #272a3a
}

.ribbon-box.right .ribbon-dark.ribbon-shape::before {
    border-right-color: #272a3a;
    border-top-color: #272a3a
}

.ribbon-box.right .ribbon-dark.ribbon-shape::after {
    border-right-color: #272a3a;
    border-bottom-color: #272a3a
}

.ribbon-box .icon-ribbon {
    box-shadow: none;
    left: 24px;
    top: -12px;
    font-size: 40px;
    padding: 0
}

.ribbon-box .ribbon-two {
    position: absolute;
    left: -5px;
    top: -5px;
    z-index: 1;
    overflow: hidden;
    width: 75px;
    height: 75px;
    text-align: right
}

.ribbon-box .ribbon-two span {
    font-size: 13px;
    color: #fff;
    text-align: center;
    line-height: 20px;
    transform: rotate(-45deg);
    width: 100px;
    display: block;
    box-shadow: 0 0 8px 0 rgba(0, 0, 0, .06), 0 1px 0 0 rgba(0, 0, 0, .02);
    position: absolute;
    top: 19px;
    left: -21px;
    font-weight: 600
}

.ribbon-box .ribbon-two span:before {
    content: "";
    position: absolute;
    left: 0;
    top: 100%;
    z-index: -1;
    border-right: 3px solid rgba(0, 0, 0, 0);
    border-bottom: 3px solid rgba(0, 0, 0, 0)
}

.ribbon-box .ribbon-two span:after {
    content: "";
    position: absolute;
    right: 0;
    top: 100%;
    z-index: -1;
    border-left: 3px solid rgba(0, 0, 0, 0);
    border-bottom: 3px solid rgba(0, 0, 0, 0)
}

.ribbon-box .ribbon-two-primary span {
    background: #687cfe
}

.ribbon-box .ribbon-two-primary span:before {
    border-left: 3px solid #1c3afd;
    border-top: 3px solid #1c3afd
}

.ribbon-box .ribbon-two-primary span:after {
    border-right: 3px solid #1c3afd;
    border-top: 3px solid #1c3afd
}

.ribbon-box .ribbon-two-secondary span {
    background: #ff4311
}

.ribbon-box .ribbon-two-secondary span:before {
    border-left: 3px solid #ff4311;
    border-top: 3px solid #ff4311
}

.ribbon-box .ribbon-two-secondary span:after {
    border-right: 3px solid #ff4311;
    border-top: 3px solid #ff4311
}

.ribbon-box .ribbon-two-success span {
    background: #198754
}

.ribbon-box .ribbon-two-success span:before {
    border-left: 3px solid #259c61;
    border-top: 3px solid #259c61
}

.ribbon-box .ribbon-two-success span:after {
    border-right: 3px solid #259c61;
    border-top: 3px solid #259c61
}

.ribbon-box .ribbon-two-success.toil span {
    background: var(--link-color);
}

.ribbon-box .ribbon-two-success.toil span:before {
    border-left: 3px solid var(--link-color);
    border-top: 3px solid var(--link-color)

}

.ribbon-box .ribbon-two-success.toil span:after {
    border-right: 3px solid var(--link-color);;
    border-top: 3px solid var(--link-color);
}


.ribbon-box .ribbon-two-info span {
    background: #0ac7fb
}

.ribbon-box .ribbon-two-info span:before {
    border-left: 3px solid #038fb6;
    border-top: 3px solid #038fb6
}

.ribbon-box .ribbon-two-info span:after {
    border-right: 3px solid #038fb6;
    border-top: 3px solid #038fb6
}

.ribbon-box .ribbon-two-warning span {
    background: #efae4e
}

.ribbon-box .ribbon-two-warning span:before {
    border-left: 3px solid #dd8c14;
    border-top: 3px solid #dd8c14
}

.ribbon-box .ribbon-two-warning span:after {
    border-right: 3px solid #dd8c14;
    border-top: 3px solid #dd8c14
}

.ribbon-box .ribbon-two-danger span {
    background: #B22234
}

.ribbon-box .ribbon-two-danger span:before {
    border-left: 3px solid #f31d29;
    border-top: 3px solid #f31d29
}

.ribbon-box .ribbon-two-danger span:after {
    border-right: 3px solid #f31d29;
    border-top: 3px solid #f31d29
}

.ribbon-box .ribbon-two-light span {
    background: #f3f6f9
}

.ribbon-box .ribbon-two-light span:before {
    border-left: 3px solid #c0d0e0;
    border-top: 3px solid #c0d0e0
}

.ribbon-box .ribbon-two-light span:after {
    border-right: 3px solid #c0d0e0;
    border-top: 3px solid #c0d0e0
}

.ribbon-box .ribbon-two-dark span {
    background: #272a3a
}

.ribbon-box .ribbon-two-dark span:before {
    border-left: 3px solid #08090c;
    border-top: 3px solid #08090c
}

.ribbon-box .ribbon-two-dark span:after {
    border-right: 3px solid #08090c;
    border-top: 3px solid #08090c
}

.ribbon-box.right .ribbon-three {
    position: absolute;
    top: -6.1px;
    right: 10px;
    left: auto
}


.ribbon-three {
    position: absolute;
    top: -6.1px;
    left: 10px
}

.ribbon-three span {
    position: relative;
    display: block;
    text-align: center;
    color: #fff;
    font-size: 14px;
    line-height: 1;
    padding: 12px 8px 10px;
    border-top-right-radius: 8px;
    width: 90px
}

.ribbon-three span::after,
.ribbon-three span::before {
    position: absolute;
    content: ""
}

.ribbon-three span::before {
    height: 6px;
    width: 6px;
    left: -6px;
    top: 0
}

.ribbon-three span::after {
    height: 6px;
    width: 8px;
    left: -8px;
    top: 0;
    border-radius: 8px 8px 0 0
}

.ribbon-three::after {
    position: absolute;
    content: "";
    width: 0;
    height: 0;
    border-left: 44px solid rgba(0, 0, 0, 0);
    border-right: 44px solid rgba(0, 0, 0, 0);
    border-top: 10px solid
}

.ribbon-three-primary span {
    background: #687cfe
}

.ribbon-three-primary span:before {
    background: #687cfe
}

.ribbon-three-primary span:after {
    background: #3550fe
}

.ribbon-three-primary::after {
    border-top-color: #687cfe
}

.ribbon-three-secondary span {
    background: #ff7f5d
}

.ribbon-three-secondary span:before {
    background: #ff7f5d
}

.ribbon-three-secondary span:after {
    background: #ff572a
}

.ribbon-three-secondary::after {
    border-top-color: #ff7f5d
}

.ribbon-three-success span {
    font-weight: 600;
    font-size: 14px;
    background: #198754;
}

.ribbon-three-success span:before {
    background: #198754
}

.ribbon-three-success span:after {
    background: #146c43
}

.ribbon-three-success::after {
    border-top-color: #198754
}

.ribbon-three-info span {
    background: #0ac7fb
}

.ribbon-three-info span:before {
    background: #0ac7fb
}

.ribbon-three-info span:after {
    background: #03a3cf
}

.ribbon-three-info::after {
    border-top-color: #0ac7fb
}

.ribbon-three-warning span {
    background: #efae4e
}

.ribbon-three-warning span:before {
    background: #efae4e
}

.ribbon-three-warning span:after {
    background: #eb991f
}

.ribbon-three-warning::after {
    border-top-color: #efae4e
}

.ribbon-three-danger span {
    background: #B22234
}

.ribbon-three-danger span:before {
    background: #B22234
}

.ribbon-three-danger span:after {
    background: #78060B
}

.ribbon-three-danger::after {
    border-top-color: #B22234
}

.ribbon-three-light span {
    background: #f3f6f9
}

.ribbon-three-light span:before {
    background: #f3f6f9
}

.ribbon-three-light span:after {
    background: #d1dde8
}

.ribbon-three-light::after {
    border-top-color: #f3f6f9
}

.ribbon-three-dark span {
    background: #272a3a
}

.ribbon-three-dark span:before {
    background: #272a3a
}

.ribbon-three-dark span:after {
    background: #12141c
}

.ribbon-three-dark::after {
    border-top-color: #272a3a
}


